

<!DOCTYPE html>
<!--[if IE 8]><html class="no-js lt-ie9" lang="en" > <![endif]-->
<!--[if gt IE 8]><!--> <html class="no-js" lang="en" > <!--<![endif]-->
<head>
  <meta charset="utf-8">
  
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  
  <title>Glossary &mdash; Xen 4.16-unstable documentation</title>
  

  
  
  
  

  

  
  
    

  

  
  
    <link rel="stylesheet" href="_static/css/theme.css" type="text/css" />
  

  

  
        <link rel="index" title="Index"
              href="genindex.html"/>
        <link rel="search" title="Search" href="search.html"/>
    <link rel="top" title="Xen 4.16-unstable documentation" href="index.html"/>
        <link rel="prev" title="ELF notes" href="hypercall-interfaces/common/elf_notes.html"/> 

  
  <script src="_static/js/modernizr.min.js"></script>

</head>

<body class="wy-body-for-nav" role="document">

   
  <div class="wy-grid-for-nav">

    
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search">
          

          
            <a href="index.html" class="icon icon-home"> Xen
          

          
          </a>

          
            
            
              <div class="version">
                4.16
              </div>
            
          

          
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>

          
        </div>

        <div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="main navigation">
          
            
            
              
            
            
              <ul>
<li class="toctree-l1"><a class="reference internal" href="admin-guide/index.html">Admin Guide</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="guest-guide/index.html">Guest documentation</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="hypervisor-guide/index.html">Hypervisor documentation</a></li>
</ul>
<ul>
<li class="toctree-l1"><a class="reference internal" href="hypercall-interfaces/index.html">Hypercall Interfaces</a></li>
</ul>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Glossary</a></li>
</ul>

            
          
        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap">

      
      <nav class="wy-nav-top" role="navigation" aria-label="top navigation">
        
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">Xen</a>
        
      </nav>


      
      <div class="wy-nav-content">
        <div class="rst-content">
          















<div role="navigation" aria-label="breadcrumbs navigation">

  <ul class="wy-breadcrumbs">
    
      <li><a href="index.html">Docs</a> &raquo;</li>
        
      <li>Glossary</li>
    
    
      <li class="wy-breadcrumbs-aside">
        
            
            <a href="_sources/glossary.rst.txt" rel="nofollow"> View page source</a>
          
        
      </li>
    
  </ul>

  
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
            
  <div class="section" id="glossary">
<h1>Glossary<a class="headerlink" href="#glossary" title="Permalink to this headline">¶</a></h1>
<dl class="glossary docutils">
<dt id="term-control-domain">control domain</dt>
<dd>A <a class="reference internal" href="#term-domain"><span class="xref std std-term">domain</span></a>, commonly dom0, with the permission and responsibility
to create and manage other domains on the system.</dd>
<dt id="term-domain">domain</dt>
<dd><p class="first">A domain is Xen’s unit of resource ownership, and generally has at the
minimum some RAM and virtual CPUs.</p>
<p>The terms <a class="reference internal" href="#term-domain"><span class="xref std std-term">domain</span></a> and <a class="reference internal" href="#term-guest"><span class="xref std std-term">guest</span></a> are commonly used
interchangeably, but they mean subtly different things.</p>
<p>A guest is a single, end user, virtual machine.</p>
<p class="last">In some cases, e.g. during live migration, one guest will be comprised of
two domains for a period of time, while it is in transit.</p>
</dd>
<dt id="term-domid">domid</dt>
<dd>The numeric identifier of a running <a class="reference internal" href="#term-domain"><span class="xref std std-term">domain</span></a>.  It is unique to a
single instance of Xen, used as the identifier in various APIs, and is
typically allocated sequentially from 0.</dd>
<dt id="term-guest">guest</dt>
<dd><p class="first">The term ‘guest’ has two different meanings, depending on context, and
should not be confused with <a class="reference internal" href="#term-domain"><span class="xref std std-term">domain</span></a>.</p>
<p>When discussing a Xen system as a whole, a ‘guest’ refer to a virtual
machine which is the “useful output” of running the system in the first
place (e.g. an end-user VM).  Virtual machines providing system services,
(e.g. the control and/or hardware domains), are not considered guests in
this context.</p>
<p class="last">In the code, “guest context” and “guest state” is considered in terms of
the CPU architecture, and contrasted against hypervisor context/state.
In this case, it refers to all code running lower privilege privilege
level the hypervisor.  As such, it covers all domains, including ones
providing system services.</p>
</dd>
<dt id="term-hardware-domain">hardware domain</dt>
<dd><p class="first">A <a class="reference internal" href="#term-domain"><span class="xref std std-term">domain</span></a>, commonly dom0, which shares responsibility with Xen
about the system as a whole.</p>
<p class="last">By default it gets all devices, including all disks and network cards, so
is responsible for multiplexing guest I/O.</p>
</dd>
</dl>
</div>


           </div>
           <div class="articleComments">
            
           </div>
          </div>
          <footer>
  
    <div class="rst-footer-buttons" role="navigation" aria-label="footer navigation">
      
      
        <a href="hypercall-interfaces/common/elf_notes.html" class="btn btn-neutral" title="ELF notes" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left"></span> Previous</a>
      
    </div>
  

  <hr/>

  <div role="contentinfo">
    <p>
        &copy; Copyright 2019, The Xen development community.

    </p>
  </div>
  Built with <a href="http://sphinx-doc.org/">Sphinx</a> using a <a href="https://github.com/snide/sphinx_rtd_theme">theme</a> provided by <a href="https://readthedocs.org">Read the Docs</a>. 

</footer>

        </div>
      </div>

    </section>

  </div>
  


  

    <script type="text/javascript">
        var DOCUMENTATION_OPTIONS = {
            URL_ROOT:'./',
            VERSION:'4.16-unstable',
            COLLAPSE_INDEX:false,
            FILE_SUFFIX:'.html',
            HAS_SOURCE:  true,
            SOURCELINK_SUFFIX: '.txt'
        };
    </script>
      <script type="text/javascript" src="_static/jquery.js"></script>
      <script type="text/javascript" src="_static/underscore.js"></script>
      <script type="text/javascript" src="_static/doctools.js"></script>

  

  
  
    <script type="text/javascript" src="_static/js/theme.js"></script>
  

  
  
  <script type="text/javascript">
      jQuery(function () {
          SphinxRtdTheme.StickyNav.enable();
      });
  </script>
   

</body>
</html>